Page MenuHomePhabricator

Add possibility to run other users notebooks by copying to own folder
Closed, ResolvedPublic

Description

I intend to create notebooks that other users with little coding experience should be able to run themselves. After discussion with @yuvipanda at Wikimania one possible solution would be to make the notebooks fork-able. Since the intended audience is beginners in coding it would prefereably be a nice friendly button saying e.g. "Copy" or "Fork" in the view of the actual notebook.

Event Timeline

Restricted Application added a subscriber: Zppix. · View Herald TranscriptJun 30 2016, 12:20 PM
Abbe98 added a subscriber: Abbe98.Oct 9 2016, 9:00 AM
Abbe98 added a comment.EditedDec 17 2016, 8:57 PM

You can achieve this using wget and paws-public.wmflabs.org:

wget http://paws-public.wmflabs.org/paws-public/44645351/wikibot.py?format=raw
Chicocvenancio triaged this task as Low priority.

You can achieve this using wget and paws-public.wmflabs.org:

wget http://paws-public.wmflabs.org/paws-public/44645351/wikibot.py?format=raw
!wget http://paws-public.wmflabs.org/paws-public/44645351/wikibot.py?format=raw > wikibot.py

Will work from notebook itself, fwiw.

I'll look into making a more user-friendly version of this.

Chicocvenancio removed Chicocvenancio as the assignee of this task.Mar 18 2020, 5:28 PM
Chicocvenancio added a subscriber: Chicocvenancio.
Bstorm closed this task as Resolved.Aug 7 2020, 7:28 PM
Bstorm claimed this task.
Bstorm added a subscriber: Bstorm.

Options are also documented at: https://wikitech.wikimedia.org/wiki/PAWS#Fork
Please re-open if you need more help!